WinMp3Locator Owerview

WinMP3Locator 4.0 overview

MP3 is the most popular music format in Internet. Offering CD quality sound it is remarkable for it's little size.

However you may spend ages looking for the song you want. It is rather hard looking for it with different search engines, moreover they show up a lot of the same results which makes it rather difficult to reject the duplicates manually. You may have probably experienced the broken link problem which is also very irritating.

Therefore we are proud to present WinMP3Locator 4.0. This smart application is designed to request multiple search engines. The number of search engines may be customized so you can choose your favourite for your search. It also has the ability to remove duplicate results and broken links. The ammount of search results may be limited so you wont get mixed up when choosing the appropriate file.

Even more, WinMP3Locator features download manager integration so you may straight away download the desired file by most of the widely used download managers such as ReGet, Net Vampire, Go!Zilla, GetRight and FlashGet (ex-JetCar).

We hope this program will help you in your search for enjoyment.

Content

  • Some general tips
  • Toolbar description
  • Main menu description
  • Main program window description
    • Search Engine Section
    • Search Result Section
  • Options menu
  • Search Result Properties
  • Upgrading the Program
  • How to gain support
  • Developer information
    • WinMp3Locator Automation interfaces
    • How to call WinMp3Locator from C++
    • How to call WinMp3Locator from JavaScript
    • How to call WinMp3Locator from VBScript

External links

  • WinMP3Locator Site
  • WinMP3Locator FAQ
  • ReGet Software Site

We recommend you to use ReGet to download files you have found by WinMP3Locator. Get it now from ReGet Site.

© 2000 ReGet Software. All rights reserved.


General Tips

WinMP3Locator is a very simple to use MP3 search tool. To give you an idea of how it works we provide you with this short description:

After you enter a song or artist name the program starts sending requests to the selected search engines. The request are sent in an AND manner, so the queries include all the input words. As the search engines give out the results, WinMP3Locator reads and filters them for duplicates also checking the found hosts in case they may be down. After the check is done the program shows the results in a user friendly format in the search results section of the main window. The search result section contains the following information:

File Name The actual name of the found MP3 file as it is stored on the server.
URL The correct path to the MP3 file in the Internet, including the server adress and server directories.
Host The adress to the server hosting the located MP3 file in the Internet.
Type The type of the host - it may be either an FTP or an HTTP type.
Username The username needed to access the host.
Password The password needed to access the host.
Size The size of the located file.
Title The compostion title.
Genre The compostion genre.
Artist The author of the composition.
Album The album where the composition is from.
Comment Some comment provided with the composition.

To simplify your choice of the file to download the search results may be sorted by any of the above listed criteria. Just click on any column to sort the results in an ascending manner and click the same column again to sort them in a descending manner.

Please note that some of the found files can not be downloaded straight away from the search results window for the following reasons:

The sites containing MP3 files may be of ratio and non ratio type.

Ratio sites require you to upload a file in order to gain access to the MP3's on that host.

Non-ratio sites allow you to download at any time except the case when the server is overloaded.(Too many people are using it at the current moment).

There is also another type of sites known as Banner which requrie you to read the welcome message and follow instructions of the following manner:
Visit a certain website and click a specific banner. And in some position on the opened page (this place is described in the welcome message) the password to the server is located.

Useful Tips

When entering a specific artist and song name it is better to state them in the following manner: For example if you are looking for Mozart's Marriage of Figaro, it is better to input the following:
Mozart_-_The_Marriage_of_Figaro.mp3
As most MP3 filenames are constructed like that.

If you have just completed a search and wish to perform another one without clearing the old results input the desired song or artist name and click Locate while holding down the Shift key.

Quote an input to mark it as a phrase so that the search engines will seek the exact combination of these words, not each word seperately (e.g. "My Favourite Game").


Toolbar

The Toolbar provides shortcuts to most program commands:

Starts searching for MP3 files.

Stops the search process.

Verifies all search result links in order to gain information on the type of the sites hosting the files and to check wheteher they are accessible.

Aborts the verification process.

Downloads the file with the download manager selected in the Options menu.

Copies the URL from the selected search result to Clipboard.

Displays the properties for the selected search result and shows MP3 tag if the file is available for downloading straight away.

Enables you to change certain program settings.

Opens the Help file.

Opens WinMP3Locator Homepage in your default browser window.

Enables you to customize the toolbar layout: add or remove icons, show or hide text labels.

Customizing the Toolbar

Click [image] button.

Select or deselect the icons to be show on the toolbar.

Select or deselect the Visible option to show or hide the toolbar.

Select the way the toolbar text should be shown from the Text options drop down menu:

No Text Does not show text near toolbar icons.
Text on the right Shows text to the right of the toolbar icons.
Text under buttons Shows text under the toolbar icons.

Select the type of icons that should be displayed on the toolbar from the Icon options drop down menu:

Small icons Displays small toolbar icons.
Large icons Displays large toolbar icons.

Large Toolbar icons provide the same shortcuts as the small ones:

Starts searching for MP3 files.

Stops the search process.

Verifies all search result links in order to gain information on the type of the sites hosting the files and to check wheteher they are accessible.

Aborts the verification process.

Downloads the file with the download manager selected in the Options menu.

Copies the URL from the selected search result to Clipboard.

Displays the properties for the selected search result and shows MP3 tag if the file is available for downloading straight away.

Enables you to change certain program settings.

Opens the Help file.

Opens WinMP3Locator Homepage in your default browser window.

Enables you to customize the toolbar layout: add or remove icons, show or hide text labels.


Main Menu

© 2000 ReGet Software. All rights reserved.


Main Program Window

The Main Window consists of a number of table-like sections:
Search Engine
Search Results
Log
One section for song or artist name input.
And the Status Bar

The content layout of these sections may be customized. Right click on any column to open the context menu listing all the section columns. Selecting a column in the menu will show or hide the appropriate column. The Grid submenu is used to select a grid type for the table.

The contents of each section may be arranged by any listed criteria. Click the desired column to sort the window contents either in an ascending or descending manner.

Song or Artist Name Input Section

This section includes an input field for the song or artist name and Search and Stop buttons.

Input a song or artist name in the input field. Or select a previous search from the drop down menu.

Click Search to begin search or press the Enter key.

Click Stop to halt the location process.

Search Engine Section

The Search Engine column displays the list of all available search engines.

Select the checkboxes near the search engine names to enable or disable the use of these engines during the location process.

Status column displays the search engine status during the location process.

An appropriate icon is displayed by the search engine name as your request is processed:

Started Started status means the search engine has recieved the search request and is processing it.
Finished Finished status means the search engine has finished processing your request.
The search engine will not be able to generate results for one of the following reasons:
  • You are not connected to the Internet.
  • The search engine may be down.
  • The result output format has changed and the program has not been updated acccordingly.

The Located column displays the number of files located by the search engine.

The Tries column displays number of tries to connect to search engine in case it doesn't respond.

Search Results Section

The search result section contains the following columns:

File Name The actual name of the found MP3 file as it is stored on the server.
URL The correct path to the MP3 file in the Internet, including the server adress and server directories.
Host The adress to the server hosting the located MP3 file in the Internet.
Type The type of the host it may be either an FTP or an HTTP type.
Username The username needed to access the host.
Password The password needed to access the host.
Size The size of the located file.
Title The compostion title.
Genre The compostion genre.
Artist The author of the composition.
Album The album where the composition is from.
Comment Some comment provided with the composition.

Right-click a search result to:

Download by... Download the selected file(s) by one of the integreted download managers.
Alternatively: Double click on a file to download it using the download manager selected in the Options menu.

Export selected... Export the selected URL's to a specified list format (plain, HTML, or a Reget 1.x file).
Copy URL Copy the selected URL to clipboard.
Verify URLs To check whether the seleted file may be downloaded.
Verify All To check all URLs to see whether all of the located files may be downloaded.

Select All Select all located files.
Clear All Clear the search result section.

Log Section

Please note: This section is used for debug purposes only.

N column displays the log entry number.

Date column displays the entry date.

Time column displays the entry time.

Info column displays the entry.

You may show or hide the Log window by selecting Log in the View menu.

Right click an entry to:

Copy copy the selection contents to the Cliboard.
Copy All copy all items to the Clipboard.
Select All select all items.
Clear All removes all items.

Status Bar

While the search operation is carried out the Status Bar dispalys statistics on the located files:

Indicates the number of files located.

Indicates the number of files that may be downloaded straight away.

Indicates the number of files stored on ratio sites.

Indicates the numer of irretrievable files.

Indicates the numer of files stored on servers that are busy at the moment.


Search Engine Section

The search engine section is used to customize your search conditions. It presents a list of MP3 search engine names.

An MP3 search engine is a server, containing a large database of MP3 file locations all over the Internet.

The search within the database is carried out by sending a query to the server which in turn scans it's database for entries containing the words or phrases specified in the request. Then it presents the results in a user friendly format.

However, there is no ideal search engine that is 100% guaranteed to find what the user really wants. But some search engines may contain the information that the others don't. Therefore the use of multiple search engines is considered to be a good way in recieving the needed results.

Nevertheless, it is hard to search the web manually by requesting each search engine in order; and that is where WinMP3Locator multiple MP3 search engine request mechanism comes in. This mechanism makes the search as simple as possible for the user.

Right click on any column of the search engine section to show or hide certain columns:

  • Status the current status of the search engine.
  • Located the number of files that this search engine has located.
  • Tries the number of attempts to connect to this search engines out of maximum allowed. (Note that the maximum allowed number of tries is specified in the Options menu).

The user may select which search engines to use by selecting or clearing the checkboxes by their names.

After the Search button is pressed the selected search engines are being requested. The search status is being displayed:

The search engine will not be able to generate results for one of the following reasons:

  • You are not connected to the Internet.
  • The search engine may be down.
  • The result output format has changed and the program has not been updated acccordingly.

The search engine has received your request and is processing it.

The search engine has finished processing your request.

Note that the status is also displayed as text in the status column of this section.

After the search is finished all results are shown in a user friendly format in the Search Results Section.


Search Results Section

Search Result Section

This section is used to present the search results in a user friendly format.

It consists of several columns that display certain properties of the search results:

Right click on any column to invoke a list of all available search result criteria. Select or deselect the items you want to show or hide.

File Name The name of the file as it is stored on the server hosting this file.

Host The adress of the server in the Internet hosting this file. Note that this section does not contain the full path to the file.

Type The host containing the located file may be of an FTP or an HTTP type:

An FTP server will transfer files by means of the File Transfer Protocol (a protocol is a set of rules and standards that enable computers to exchange information).

Note To download files from this type of servers the user may need an FTP client or a download manager which are able to work with FTP servers, but standard FTP clients are usually included in most internet browsers.

This type of servers usually requires a username and password to allow access to the files stored and some of them allow anonymous access where the username is ftp or anonymous and the password is your e-mail adress.

There are different kinds of FTP sites:

  • Ratio sites: These sites require the user to upload a file first in order to gain access to the files stored. The number of bytes available for downloading depends on the size of uploaded files.

  • Non Ratio sites: These sites do not require you to upload a file and usually allow unlimited access to that host.

  • Apart from Ratio and Non Ratio sites there are also other types of servers so called banner sites that require the user to find the access infromation (e.g. password) by visiting the host owner's sponsor sites. The location of the username and/or password is usually described in "HowToGainAccess" files on these hosts or in the welcome message that usually appears when you log on to that server. WinMP3Locator enables you to read the welcome message by logging on to the site. This message may be read in the search result Properties invoked from the context menu or the Properties option in the Edit menu.

An HTTP server will transfer the file by means of the HyperText Transfer Protocol (a protocol is a set of rules and standards that enable computers to exchange information).
This type of hosts usually does not require a username and password to gain access.

Username The username provided to access the FTP or HTTP server hosting the current file.

Password The password provided to access the FTP or HTTP server hosting the current file.

Note: In some cases (e.g. banner sites) these usernames and passwords will not allow you to leech the files and are used only to enable you to read the welcome message stating the terms under which you may gain access to the files the site hosts.

URL Uniform Resource Locator- In this case it is the full path to the MP3 file, that includes the host adress, the directory structure and the filename. It consists of six parts:
The protocol name (either FTP or HTTP)
The location of the server (for instance www will mean that it is located on the World Wide Web).
The server or organistation name.
A suffix that indicates the kind of server or organistation (e.g .com, .net, etc).
The path or directory structure to the file on the server.
The file name as it is stored on the server.

Size The size of the located MP3 file in bytes.

Title The composition name extracted from the MP3 Tag (a special secion in the MP3 file, containing some information about the song title, author, album, genre etc.).

Genre The music genre to which the composition refers to.

Artist The author of the located composition.

Album The album name to which the composition is related.

Comment Some comments provided with the composition.

Note: in cases when the file is hosted by a ratio site, this information (e.g. Title, Genre, Artist, Album, Comment ) is unavailable due to the fact that this data is located at the end of the MP3 file and you must have permission to download the file in order to view the above mentioned.

To sort the results by any of the above listed criteria in an ascending manner click on the column you want. To sort in a descending manner click the wanted column again.

Right-click a search result to:

  • Download by... Download the selected file(s) by one of the integrated download managers.
    Alternatively: Double click on a file to download it using the download manager selected in the Options menu.

  • Export selected... Export the selected URL's to a specified list format (plain, HTML, or a Reget 1.x file) so you may use this information with some other program.
  • Verify URLs To check whether the seleted file may be downloaded and detect the type of the site hosting this file.
  • Verify All To check all URLs to see whether all of the located files may be downloaded and to see what types of sites are hosting these files.

    Note: After performing one of the above verify operations the program places an appropriate icon next to the search results:

    Good: This file may be downloaded straight away by one of the selected download managers. Or simply double-click on the search result.

    Ratio: You have to upload a file to that host in order to gain permission for downloading this file.

    Bad: You cannot download this file. The server hosting this file may be down or perhaps the file could not be found.

    Busy: The server hosting the file is busy at the moment e.g. too many people are using it. You will have to wait for some time to access it.

    When the verification porcess is performed the program also checks the hosts for download resume support and places the following icons next to the search results:

    Resumeable: This host supports download resume. So you may continue your download from the point you have finished in case of a disconnection.

    If the download performed on this server is Not Resumeable: the [image] icon is displayed.

    Note: each time you restart the program the search result status becomes dimmed as the status may have changed.

  • Copy Copy the selected URLs to clipboard.

  • Copy All Copy the URLs of all located files to clipboard.

  • Select All Select all located files.

  • Clear All Permanently clear the search result section.

  • View Log This option will show you the log that is created when you try to login to the server and reach the located file. It displays a list of commands the program sends and the list of server responses and messages the program recieves. The context menu commands available for this section are the same as the commands for the Log Section.
    Note: This command is found very useful when a feedback from the user is needed in case some problems occur so we may quickly and easily solve the problem.

  • Properties Opens the Property sheet for the selected file, This sheet contains some general information on the file, the server response and the MP3 tag may include the composition title, the artist name, genre etc..


Options Menu

General Tab

Default double click action:

Select the default double click action for a search result:

Download using: Select one of the intergrated download managers (including your standard browser download tool) to use when downloading located MP3 files. Double clicking on a search result will invoke the selected download manager ready to leech the selected file.

Copy URL to Clipboard Copies selected URL's to the Clipboard on double-click.

Link Verification

Select or clear the Automaticly verify all links checkbox to enable or disable the check of located file URLs as soon as they appear in the search result list.

Request file information - select this option if you want to receive MP3 file information (MP3 Tag). Note that MP3 tags are available only for those files that are availbale for download as tag information is stored at the end of MP3 files.

Check other files if one is ratio Some servers hosting MP3 files may set the "ratio" status to all files. This option is useful if you are sure that this server is fully ratio so the program will not check every file located on this server but will display a ratio status on every one of them instead. Note that some servers do not set the ratio status to every file they host so certain files may be downloaded straight away, therefore verifying every link on those servers is advisable.

Advanced Tab

Advanced Settings

Use default browser proxy settings Select this checkbox if you wish to use your standard browser proxy server settings during your search.

Select the Play Sounds check box to enable sounds. Click Setup to customize sounds.

Max simultaneous conections set the maximum number of simultaneous connections to search engines here.

Maximum reries to connect set the number of maximum connection tries in case a server does not respond.

Socks Proxy

A SOCKS proxy server is a special type of proxy servers that works by means of windows sockets not the FTP or HTTP protocol. If you are unsure about this section please consult your system administrator.

Proxy type Select the version of the SOCKS server you use here.

Server Type in the path to the SOCKS proxy server here. If unsure please ask your system administrator.

Need logon Select this checkbox if you need a username and password to use the SOCKS proxy server.

Username Type in the username required to use the SOCKS server.

Password Type in the password required to use the SOCKS server.

Note: If you are unsure on any of the above sections please contact your system administrator.

Press Ok to implement the settings you have changed.

Press Cancel to discard the changes.


Search Result Properties

Right-click on a search result and select Properties from the shortcut menu. This will open the property sheet for the selected search result.

General Tab

Filename the name of the file as it is stored on the server hosting this file.

URL the full path to the file in the Internet. Including the adress to the host and the directory structure to the position where the file is stored.

Username This section displays the username required to gain access to the host.

Password This section displays the password required to gain access to the host.

Note The Username and password provided by the server will not always allow you to access the MP3 files stored as this information may only allow to browse throught the files. Read the Server Response section for information on how to download.

Server Response This section contains information the server hosting this file returned when the program connected to it using the Username and Password provided. This section is very useful when you need to know for sure what type of server it is - ratio, non-ratio, or banner.

The Size box displays the size of the selected file.

Click Log to view the log entry made on this file

MP3 Tag Tab

Title The name of the composition.

Artist The artist name.

Album The name of the album.

Comment Some neccessary comments for the MP3 file.

Genre The genre the compostion belongs to.

Year Year the composition was released.

Press Close to close this window.


Upgrading the Program

For your convenience we have included an automatic program upgrade feature in WinMP3Locator.

Each time you load the program it checks the Internet for updates, note that this is only possible when you have an active Internet connection established at the moment when you run the program. And if it is available it pops up a dialog box prompting you to accept or reject the upgrade:

Packages to install this section displays information on the package that is available for download or installation. The size of the package is also specified so you may estimate the time required for downloading it.

You are prompted to accept or reject the package.

Click Yes to start downloading and installing this upgrade.
Click No to reject the upgrade.

Select the Dont notify me about this upgrade again checkbox in order not to be informed about this upgrade package again. Thus you will not install the suggested package.

Please note that you will be informed of all future updates as they are released. You may install or reject them according to your needs.

Additionaly you may select the Download Upgrade option from the Help menu of the main program window.

If an Upgrade package is available a dialog box prompting you to accept or reject the package will appear stating the size of the package.

Click Yes to start downloading and installing this upgrade.
Click No to reject the upgrade.

When you click Yes a window with a status bar showing the download and installation progress will appear.

After the status line reaches the end the upgrade process is finished.

We hope you enjoy the up-to-date version of WinMP3Locator.


How to gain Support

You can write an E-mail to WinMp3Locator support team

You can subscribe to WinMp3Locator news groups

  • WinMp3Locator Support (English)
  • WinMp3Locator Support (Russian)


WinMp3Locator Developer information

Developer information

  • WinMp3Locator Automation interfaces
  • How to call WinMp3Locator from C++
  • How to call WinMp3Locator from JavaScript
  • How to call WinMp3Locator from VBScript
You can subscribe to WinMp3Locator news groups
  • WinMp3Locator Support (English)
  • WinMp3Locator Support (Russian)


WinMp3Locator Automation interfaces

Content of WinMp3Locator.idl file

import "oaidl.idl";
import "DOCOBJ.idl";
[
object,
uuid(1537E842-0101-11D2-8059-000000000000),
dual,
local,
oleautomation,
helpstring("IMp3Locator Dispatch Interface"),
pointer_default(unique),
]
interface IMp3LocatorDisp : IDispatch
{
[helpstring("Run WinMp3Locator. Function will return immediately")]
HRESULT Run();
};

[
object,
uuid(1537E842-0102-11D2-8059-000000000000),
local,
oleautomation,
helpstring("IMp3Locator custom Interface"),
pointer_default(unique),
]
interface IMp3Locator : IUnknown
{
[id(1), helpstring("Run WinMp3Locator. Function will return immediately")]
HRESULT Run();
};

[
uuid(1537E842-0000-11D2-8059-000000000000),
version(1.0),
helpstring("WinMp3Locator 1.0 Type Library")
]
library WinMp3LocatorLib
{
importlib("stdole32.tlb");
importlib("stdole2.tlb");

[
uuid(1537E842-0100-11D2-8059-000000000000),
helpstring("Mp3Locator Class")
]
coclass Mp3Locator
{
[default] interface IMp3LocatorDisp;
interface IMp3Locator;
};
};


How to call WinMp3Locator from C++

Content of Mp3Locator_Client.cpp file

#define INITGUID

#include <objbase.h>

class IWinMp3Locator : public IUnknown {
public:
virtual HRESULT STDMETHODCALLTYPE Run() = 0;
};

DEFINE_GUID(IID_IMp3Locator,0x1537E842,0x0102,0x11D2,0x80,0x59,0x00,0x00,0x00,0x00,0x00,0x00);
DEFINE_GUID(CLSID_Mp3Locator,0x1537E842,0x0100,0x11D2,0x80,0x59,0x00,0x00,0x00,0x00,0x00,0x00);

int APIENTRY WinMain(HINSTANCE hInstance,
HINSTANCE hPrevInstance,
LPSTR lpCmdLine,
int nCmdShow)
{
IWinMp3Locator* pMP3Locator;

if (!FAILED(CoInitialize(NULL))) {
if (!FAILED(CoCreateInstance(CLSID_Mp3Locator,NULL,CLSCTX_ALL,IID_IMp3Locator,(VOID**)&pMP3Locator))) {
pMP3Locator->Run();
pMP3Locator->Release();
}
CoUninitialize();
}

return 0;
}


WinMp3Locator Developer information

How to call WinMp3Locator from JavaScript

function Locator() {
var LocatorApp = new ActiveXObject("WinMP3Locator.Mp3Locator");
LocatorApp.Run();
}

Press this button for test code


WinMp3Locator Developer information

How to call WinMp3Locator from VBScript

sub Locator()
set LocatorApp = CreateObject("WinMP3Locator.Mp3Locator")
call LocatorApp.Run
end sub

Press this button for test code


WinMp3Locator History

Changes history

© 2000 ReGet Software. All rights reserved.